package com.steerinfo.dil.service;

import com.steerinfo.dil.model.TmstrainWagonUnloadResult;
import com.steerinfo.framework.service.IBaseService;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * TmstrainWagonUnloadResult服务接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-08-19 09:22
 * 类描述
 * 修订历史：
 * 日期：2021-08-19
 * 作者：generator
 * 参考：
 * 描述：TmstrainWagonUnloadResult服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
public interface ITmstrainWagonUnloadResultService{
    //查询所有卸车作业信息
    List<Map<String, Object>> getTmstrainWagonUnLoad(Map<String,Object> map);
    //通过主键删除车皮卸车作业实绩
    int deleteTmstrainWagonUnLoadResultByUnLoadingId(BigDecimal unloadingId);

    //新增车皮卸车实绩
    int insertTmstrainWagonUnLoadResult(TmstrainWagonUnloadResult tmstrainWagonUnloadResult);

    //修改车皮装车作业实绩
    int updateTmstrainWagonUnLoadResult(TmstrainWagonUnloadResult tmstrainWagonUnloadResult);
    //查询火运实绩
    List<Map<String, Object>> getTmstrainResult(Map<String,Object>map);
    //获得卸车地点名称
    List<Map<String, Object>> getUnloadingPointName();
    //获得卸车路线名称
    List<Map<String, Object>> getUnloadingRouteName();
    //通过主键获取车皮卸车信息
    List<Map<String, Object>> getTmstrainWagonUnLoadResultByUnLoadingId(BigDecimal unloadingId);

    //内转物流新增卸车实绩
//    int addTmstrainWagonLoadResultForConverted(TmstrainWagonUnloadResult tmstrainWagonUnloadResult);

    //内转物流查询卸车实绩
    List<Map<String,Object>> selectWagonUnLoadResult(Map<String,Object> map);

    //内转物流查询火车卸货实绩
    List<Map<String,Object>> getTrainResult(Map<String,Object> map);
}